*** a/src/backend/replication/syncrep.c
--- b/src/backend/replication/syncrep.c
***************
*** 951,957 **** SyncRepGetStandbyPriority(void)
  		standby_name += strlen(standby_name) + 1;
  	}
  
! 	return (found ? priority : 0);
  }
  
  /*
--- 951,964 ----
  		standby_name += strlen(standby_name) + 1;
  	}
  
! 	if (!found)
! 		return 0;
! 
! 	/*
! 	 * In quorum-based sync replication, all the standbys in the list
! 	 * have the same priority, one.
! 	 */
! 	return (SyncRepConfig->syncrep_method == SYNC_REP_PRIORITY) ? priority : 1;
  }
  
  /*
*** a/src/test/recovery/t/007_sync_rep.pl
--- b/src/test/recovery/t/007_sync_rep.pl
***************
*** 186,192 **** standby4|0|async),
  # for sync standbys in a quorum-based sync replication.
  test_sync_state(
  $node_master, qq(standby1|1|quorum
! standby2|2|quorum
  standby4|0|async),
  '2 quorum and 1 async',
  'ANY 2(standby1, standby2)');
--- 186,192 ----
  # for sync standbys in a quorum-based sync replication.
  test_sync_state(
  $node_master, qq(standby1|1|quorum
! standby2|1|quorum
  standby4|0|async),
  '2 quorum and 1 async',
  'ANY 2(standby1, standby2)');
